# TODO:
# - nautilus-gnome-mplayer subpackage
# - double-check gnome-power-manager BR
#
# Conditional build:
%bcond_without  gtk3            # build without GTK+3

Summary:	GNOME Frontend for MPlayer
Summary(pl.UTF-8):	Frontend GNOME dla MPlayera
Name:		gnome-mplayer
Version:	1.0.9a
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://gnome-mplayer.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	7199f93760cbf7c63144244451b7b57a
Patch0:		%{name}-desktop.patch
URL:		http://kdekorte.googlepages.com/gnomemplayer
BuildRequires:	GConf2
BuildRequires:	GConf2-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
Requires(post,postun):	glib2 >= 1:2.26.0
# BuildRequires:	gnome-power-manager
BuildRequires:	gettext-devel
BuildRequires:	gmtk-devel >= 1.0.8
%if %{with gtk3}
BuildRequires:	gtk+3-devel
%else
BuildRequires:	gtk+2-devel
%endif
BuildRequires:	libgpod-devel
BuildRequires:	libmusicbrainz3-devel
BuildRequires:	libnotify-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	which
Requires(post,postun):	desktop-file-utils
Requires(post,preun):	GConf2
Requires:	mplayer
Suggests:	dconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME MPlayer is a simple GUI for MPlayer. It is based heavily on the
mplayerplug-in source code and can basically be seen as a standalone
version of that. GNOME MPlayer is currently changing a lot. However,
it is good enough that I can use it as my default viewer for media on
my personal machine.

%description -l pl.UTF-8
GNOME MPlayer to prosty graficzny interfejs dla MPlayera. Jest w dużym
stopniu oparty na kodzie źródłowym wtyczki mplayerplug-in i można go
zasadniczo postrzegać jako jej samodzielną wersję. GNOME MPlayer
aktualnie znacząco się zmienia. Jest jednak już wystarczająco dobry do
używania jako domyślna przeglądarka multimediów na komputerze
osobistym autora.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.in
%{__sed} -i 's/AM_PROG_CC_STDC/AC_PROG_CC/g' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_gtk3:--disable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
cp -p %{name}.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

install -d $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
cp -p apps.gecko-mediaplayer.preferences.gschema.xml $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
cp -p apps.gnome-mplayer.preferences.enums.xml $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
cp -p apps.gnome-mplayer.preferences.gschema.xml $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

# gnome2
%{__rm} $RPM_BUILD_ROOT%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml

# not packaged
%{__rm} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/gnome-mplayer.svg

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install %{name}.schemas
%update_desktop_database_post
%glib_compile_schemas

%preun
%gconf_schema_uninstall %{name}.schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README DOCS/keyboard_shortcuts.txt DOCS/tech/*.*
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/glib-2.0/schemas/*.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_desktopdir}/*.desktop
%{_mandir}/man1/*.1*
%changelog
* Mon Oct 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-mplayer.git;a=log;h=master

* Mon Oct 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fc15ec
- up to 1.0.9a

* Sun Jun 02 2013 Łukasz Krotowski <lkrotowski@pld-linux.org> 3b91780
- up to 1.0.8
- fixed build with automake 1.13

* Sun Nov 04 2012 Łukasz Krotowski <lkrotowski@pld-linux.org> c2bffeb
- up to 1.0.7

* Mon Jan 23 2012 Elan Ruusamäe <glen@pld-linux.org> eaa6537
- assume pulseaudio-devel is needed not pulseaudio itself
- cleanup files

* Sun Jan 22 2012 Łukasz Krotowski <lkrotowski@pld-linux.org> 8b4d152
- S: dconf for gsettings storage

* Sun Jan 22 2012 Łukasz Krotowski <lkrotowski@pld-linux.org> 6efc1f1
- up to 1.0.5
- gtk+2/gtk+3 build selection
- it seems that gnome-power-manager is, in fact, not needed during build

* Sun Jan 22 2012 Łukasz Krotowski <lkrotowski@pld-linux.org> df6c614
- up to 1.0.5
- gnome-mplayer in not based on GNOME libs

* Thu Apr 07 2011 lisu <lisu@pld-linux.org> cf667c2
- fixed build with libnotify 0.7

* Thu Apr 07 2011 lisu <lisu@pld-linux.org> 2289095
- rel 4

* Wed May 19 2010 sparky <sparky@pld-linux.org> 29a8558
- BR: gnome-power-manager, pulseaudio

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> de9ec2d
- rel 3
- removed bogus BRs

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> bf61a1e
- rel 2
- fixed desktop categories

* Wed Feb 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c4d936c
- up to 0.9.9

* Wed Nov 25 2009 sparky <sparky@pld-linux.org> 6ca5dce
- BR: GConf2, GConf2-devel, curl-devel, gnome-power-manager, pulseaudio, which

* Sun Sep 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b53d92
- up to 0.9.7

* Sat Jun 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fb4c4db
- rel 2; build fixed

* Sat Jun 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a5ebc62
- up to 0.6.9

* Sun Mar 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cfc8166
- up to 0.9.5

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 652b2cc
- release 2

* Sun Feb 22 2009 Adam Gołębiowski <adamg@pld-linux.org> fc24064
- updated to 0.9.4
- BR: alsa-lib-devel, libgpod-devel, libmusicbrainz3-devel, libnotify-devel

